<?php
$restriction=new_restriction($restriction,'text_max_250','string',1,250,0,0,'');
$restriction=new_restriction($restriction,'text_max_255','string',0,255,0,0,'');
$restriction=new_restriction($restriction,'text_max_5000','string',0,5000,0,0,'');
$restriction=new_restriction($restriction,'int_1024','numeric',0,0,0,1024,'');
$restriction=new_restriction($restriction,'int_20','numeric',0,0,1,20,'');
$enumeration =new_enumeration($enumeration,0,$lang['str_no']);
$enumeration =new_enumeration($enumeration,1,$lang['str_yes']);
$restriction=new_restriction($restriction,'yes_no','numeric',0,0,0,0,'',$enumeration);
unset($enumeration);
$enumeration =new_enumeration($enumeration,0,$lang['board_setting_1']);
$enumeration =new_enumeration($enumeration,1,$lang['board_setting_2']);
$enumeration =new_enumeration($enumeration,2,$lang['board_setting_3']);
$enumeration =new_enumeration($enumeration,4,$lang['board_setting_4']);
$restriction=new_restriction($restriction,'setting_1','numeric',0,0,0,0,'',$enumeration);
unset($enumeration);
$enumeration =new_enumeration($enumeration,0,$lang['content_setting_1']);
$enumeration =new_enumeration($enumeration,1,$lang['content_setting_2']);
$enumeration =new_enumeration($enumeration,2,$lang['content_setting_3']);
$enumeration =new_enumeration($enumeration,3,$lang['content_setting_4']);
$restriction=new_restriction($restriction,'setting_2','numeric',0,0,0,0,'',$enumeration);
unset($enumeration);
$form=Array('items','name'=>'dv_ads','action'=>$action,'method'=>'post','attribute_str'=>'');
$form['items'] = new_form_item(
$form['items']
,'text'
,'ads_type'
,$ads_type
,'text_max_250'
,$lang['item_type_1']
,$lang['item_description_1']
,'width:250px;margin-left:5px;margin-top:1px;'
,''
,''
,$form_tit1
);
$form['items'] = new_form_item(
$form['items']
,'textarea'
,'description'
,$description
,'text_max_255'
,$lang['item_type_description']
,$lang['item_description_description']
,'margin-left:10px;width:90%;height:50px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'textarea'
,'ads_top'
,$ads_top
,'text_max_5000'
,$lang['item_type_2']
,$lang['item_description_2']
,'margin-left:10px;width:90%;height:50px;'
,'dv_ads_1'
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'textarea'
,'ads_bottom'
,$ads_bottom
,'text_max_5000'
,$lang['item_type_3']
,$lang['item_description_3']
,'margin-left:10px;width:90%;height:50px;'
,'dv_ads_2'
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'radio'
,'ads_float_on'
,$ads_float_on
,'yes_no'
,$lang['item_type_4']
,$lang['item_description_4']
,'margin:3px;'
,'dv_ads_3'
,''
,$lang['page_tit_1']
);
$form['items'] = new_form_item(
$form['items']
,'text'
,'ads_float_picurl'
,$ads_float_picurl
,'text_max_255'
,$lang['item_type_5']
,$lang['item_description_5']
,'width:250px;margin-left:5px;margin-top:1px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'text'
,'ads_float_linkurl'
,$ads_float_linkurl
,'text_max_255'
,$lang['item_type_6']
,$lang['item_description_6']
,'width:250px;margin-left:5px;margin-top:1px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'text'
,'ads_float_picwidth'
,$ads_float_picwidth
,'int_1024'
,$lang['item_type_7']
,$lang['item_description_7']
,'width:50px;margin-left:5px;margin-top:1px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'text'
,'ads_float_picheight'
,$ads_float_picheight
,'int_1024'
,$lang['item_type_8']
,$lang['item_description_8']
,'width:50px;margin-left:5px;margin-top:1px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'radio'
,'ads_picad_on'
,$ads_picad_on
,'yes_no'
,$lang['item_type_9']
,$lang['item_description_9']
,'margin:3px;'
,'dv_ads_4'
,''
,$lang['page_tit_2']
);
$form['items'] = new_form_item(
$form['items']
,'text'
,'ads_picad_picurl'
,$ads_picad_picurl
,'text_max_255'
,$lang['item_type_10']
,$lang['item_description_10']
,'width:250px;margin-left:5px;margin-top:1px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'text'
,'ads_picad_linkurl'
,$ads_picad_linkurl
,'text_max_255'
,$lang['item_type_11']
,$lang['item_description_11']
,'width:250px;margin-left:5px;margin-top:1px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'text'
,'ads_picad_picwidth'
,$ads_picad_picwidth
,'int_1024'
,$lang['item_type_12']
,$lang['item_description_12']
,'width:50px;margin-left:5px;margin-top:1px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'text'
,'ads_picad_picheight'
,$ads_picad_picheight
,'int_1024'
,$lang['item_type_13']
,$lang['item_description_13']
,'width:50px;margin-left:5px;margin-top:1px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'radio'
,'ads_post_on'
,$ads_post_on
,'yes_no'
,$lang['item_type_14']
,$lang['item_description_14']
,'margin:3px;'
,'dv_ads_5'
,''
,$lang['page_tit_3']
);
$form['items'] = new_form_item(
$form['items']
,'textarea'
,'ads_post'
,$ads_post
,'text_max_5000'
,$lang['item_type_15']
,$lang['item_description_15']
,'margin-left:10px;width:90%;height:100px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'radio'
,'ads_text_on'
,$ads_text_on
,'yes_no'
,$lang['item_type_16']
,$lang['item_description_16']
,'margin:3px;'
,'dv_ads_6'
,''
,$lang['page_tit_4']
);
$form['items'] = new_form_item(
$form['items']
,'radio'
,'ads_text_board'
,$ads_text_board
,'setting_1'
,$lang['item_type_17']
,$lang['item_description_17']
,'margin:3px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'text'
,'ads_text_seting'
,$ads_text_seting
,'int_20'
,$lang['item_type_18']
,$lang['item_description_18']
,'width:50px;margin-left:5px;margin-top:1px;'
,'dv_ads_6'
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'textarea'
,'ads_text'
,$ads_text
,'text_max_5000'
,$lang['item_type_19']
,$lang['item_description_19']
,'margin-left:10px;width:90%;height:100px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'radio'
,'ads_content_post_on'
,$ads_content_post_on
,'setting_2'
,$lang['item_type_20']
,$lang['item_description_20']
,'margin:3px;'
,'dv_ads_7'
,''
,$lang['page_tit_5']
);

$form['items'] = new_form_item(
$form['items']
,'textarea'
,'ads_content_post'
,$ads_content_post
,'text_max_5000'
,$lang['item_type_21']
,$lang['item_description_21']
,'margin-left:10px;width:90%;height:100px;'
,''
,''
,''
);

$form['items'] = new_form_item(
$form['items']
,'radio'
,'scrollads_on'
,$scrollads_on
,'yes_no'
,$lang['tpl.str9']
,$lang['item_description_16']
,'margin:3px;'
,'dv_ads_6'
,''
,$lang['tpl.str8']
);

$form['items'] = new_form_item(
$form['items']
,'textarea'
,'scrollads'
,$srollads_info
,'text_max_5000'
,$lang['tpl.str8']
,$lang['item_description_21']
,'margin-left:10px;width:90%;height:100px;'
,''
,''
,''
);

$form['items'] = new_form_item(
$form['items']
,'submit'
,'submit'
,$submit
,'text_max_5000'
,''
,''
,'margin-top:4px;'
,''
,''
,''
);
?>